AUMIX(1)

NOM
aumix - Ajuster le mélangeur audio

SYNOPSIS
aumix [-option_canal[[+|-][quantité]]|niveau|R[ecord]|P[lay]|q[uery]] [-dhILqS] [-f fichier_rc][-C fichier_thème_couleurs]

DESCRIPTION
Ce programme permet d’ajuster les paramètres d’un périphérique de mélange audio. Il peut être utilisé en ligne de commande, dans des scripts ou interactivement au clavier ou à la souris.

OPTIONS

  OPTIONS DE CANAL
-v  niveau global
-b  basses
-c  CD
-i  gain d’entrée
-l  ligne
-m  microphone
-o  gain de sortie
-p  haut-parleur PC
-r  enregistrement
-s  synthétiseur
-t  aigus
-w  PCM
-W  PCM 2
-x  moniteur de mélange
-1  ligne 1
-2  ligne 2
-3  ligne 3

Pour chaque canal, q demande un état des périphériques, + et - incrémentent et décrémentent d’une unité ou d’une certaine quantité s’il en est spécifié une. Si aucun + ou - n’est spécifié après l’option de canal, un nombre définira un niveau spécifique (en monophonie).

  AUTRES OPTIONS

-C fichier_thème_couleurs
    cette option permet de spécifier le nom d’un fichier contenant un thème de couleurs. Elle implique l’option -I. Le fichier du thème de couleurs peut se trouver dans le répertoire de travail ou dans le répertoire de données de aumix, en général /usr/share/aumix ou /usr/share/aumix-gtk si vous utilisez un paquet aumix s’appuyant sur GTK. Cette option permet de forcer l’utilisation d’une interface ncurses avec la version GTK. Dans ce dernier cas, il inutile de spécifier un nom de fichier de thème de couleurs

-d fichier_périphérique
    cette option permet de spécifier le nom du périphérique mélangeur (par défaut /dev/mixer)

-f fichier_rc
    cette option permet de spécifier le nom du fichier dans lequel sont stockés et depuis lequel sont chargés les réglages

-h  afficher des informations d’utilisation

-I  cette option permet d’exécuter aumix en mode interactif en utilisant l’interface plein écran basée sur ncurses. Il s’agit du comportement par défaut si aucune option n’est fournie, mais cette option doit être spécifiée pour que aumix revienne en mode interactif après avoir accompli des actions en mode non interactif
    Pour forcer l’utilisation de l’interface ncurses avec la version GTK, spécifier l’option -C (inutile de fournir un nom de fichier).

-L  charger les réglages depuis $HOME/.aumixrc ou, si ce dernier est inaccessible, depuis /etc/aumixrc

-q  interroger tous les périphériques et afficher leurs réglages

-S  enregistrer les réglages dans $HOME/.aumixrc

EXEMPLES
La commande

    aumix -q -v75 -m 0 -c R -c+10 -m q

affiche les réglages de tous les périphériques, règle le volume à 75 % et le niveau du microphone à 0, met le CD en mode enregistrement, augmente le volume du CD de 10 (à gauche et à droite) et affiche les nouveaux réglages du microphone.

Le fichier .aumixrc contenant :

    vol:60:60
    wait:5000
    vol:50:50

règle le volume à 60 %, attend cinq secondes puis baisse le volume à 50 %. Notez qu’aumix ne sauvegarde pas les lignes « wait » ; elles doivent être ajoutées à la main.

UTILISATION INTERACTIVE
Si aucune option n’est fournie sur la ligne de commande et si aumix a été compilé avec ncurses, il sera exécuté de manière interactive.

  INTERFACE
Le groupe de contrôles de gauche permet de régler les niveaux, alors que celui de droite permet de régler la balance. Les canaux mélangeurs non pris en charge par votre matériel ne sont pas affichés. Les canaux mélangeurs prenant en charge la stéréophonie possèdent des contrôles de balance.

  RACCOURCIS CLAVIER
Les touches suivantes permettent de contrôler aumix en mode interactif :

page haut et bas, flèches haut et bas
    sélectionner un nouveau contrôle

tabulation, entrée, supérieur, inférieur, virgule et point
    basculer entre contrôles de niveaux et de balance

+, -, [,], flèches gauche et droite et chiffres
    ajuster les réglages du périphérique actuel. Les touches + et flèche droite augmentent le niveau de 3 % ; les touches - et flèche gauche le baissent dans la même proportion. La touche [ le règle à 0 % et les touches] ou 0 le règlent à 100 %. Chacun des chiffres de 1 à 9 le règlent respectivement de 10 % à 90 %. Le chiffre 0 le règle à 100 % (et non pas à 0 %). Ces mêmes touches agissent de manière analogue sur les contrôles de balance

espace
    basculer entre enregistrement et lecture pour les périphériques qui en sont capables

|   centrer la balance pour le périphérique actuel

K ou k
    afficher une description des fonctions des raccourcis clavier

L ou l
    charger les réglages depuis le fichier $HOME/.aumixrc, s’il existe, sinon se rabattre sur /etc/aumixrc

M ou m
    basculer entre les modes muet et non muet

O ou o
    « only » (seulement) : coupure son de tous les canaux, sauf de l’actuel

S ou s
    sauvegarder les réglages dans le fichier rc

U ou u
    annuler toute coupure son

Q ou q
    terminer le programme

^L  rafraîchir l’écran

^Z, ^D et ^C possèdent aussi leur fonction habituelle (l’écran est rafraîchi quand aumix revient au premier plan).

  SOURIS
En mode interactif, aumix peut traiter les entrées en provenance de la souris si gpm(8) est en cours d’exécution et si aumix a été compilé avec la prise en charge de ce dernier. Si gpm n’est pas en cours d’exécution, alors que aumix le prend en charge, le message « mouse off » s’affichera en haut de l’écran, et seules les entrées du clavier seront traitées. Si gpm(8) est en cours d’exécution, la plupart des actions peuvent être exécutées à la souris. La souris est active dès qu'un de ses boutons est maintenu enfoncé. Lorsqu’elle est active, elle fonctionne de la manière suivante :
•   sur un curseur de contrôle, elle règle ce dernier de façon à ce qu’il corresponde à la position du pointeur de la souris
•   sur un indicateur enregistrement/lecture, elle bascule entre les modes enregistrement et lecture
•   sur les étiquettes « Quit », « Load », « Save », « Keys », « Mute », « Only » ou « Undo » en haut de l’écran, elle déclenche l’action correspondante

ENVIRONNEMENT
La variable HOME est prise en compte. Si aumix a été compilé avec la prise en charge de GTK+, la variable DISPLAY est consultée et si elle est définie, elle est prise en compte. LANG est prise en compte si aumix affiche l’écran ncurses.

FICHIERS
Les réglages du mélangeur sont sauvegardés dans les fichiers /etc/aumixrc et $HOME/.aumixrc, mais ils peuvent l’être à tout emplacement explicitement spécifié. Les thèmes de couleurs sont normalement enregistrés dans le répertoire désigné à la compilation par la variable DATADIR, mais sont de préférence chargés depuis le répertoire actuel et peuvent être sauvegardés à tout emplacement, pourvu que leur chemin soit indiqué. Le format de ces fichiers est le suivant :

item avant-plan arrière-plan

où item peut avoir pour valeur « active », « axis », « handle », « hotkey », « menu », « play », « record » ou « track » et avant-plan et arrière-plan sont des couleurs choisies parmi « black », « red », « green », « yellow », « blue », « magenta », « cyan » ou « white ». Les mots doivent être séparés par des blancs et peuvent être en minuscules, en capitales ou un mélange des deux. Les lignes qui ne respectent pas toutes ces conditions seront ignorées. Quelques exemples de thèmes de couleurs sont fournis, nommés d’après le type de terminal pour lequel ils sont les plus appropriés.

Si avant-plan ou arrière-plan ont pour valeur « - », c’est la couleur par défaut correspondante qui sera utilisée. Si aumix est lié à ncurses, les couleurs d’avant et d’arrière-plan par défaut du terminal seront utilisées ; sinon, les couleurs d’avant et d’arrière-plan par défaut sont respectivement le blanc et le noir.

Une icône xpm est fournie.

VERSION
Cette page correspond à la version 2.9.1.

BOGUES
Suspendre l’exécution avec ^Z peut rendre le terminal difficile à utiliser.

PAGE D’ACCUEIL

    http://jpj.net/~trevor/aumix.html

LISTES DE DIFFUSION

    https://gna.org/mail/?group=aumix

VOIR AUSSI
gpm(1), moused(8), sb(4), xaumix(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3: https://www.gnu.org/licenses/gpl-3.0.html concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.